Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 169435 - The targetNamespace attribute has to be cached for the sake of performance optimization
The targetNamespace attribute has to be cached for the sake of performance op...
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Schema Model
6.x
All All
: P2 (vote)
: TBD
Assigned To: issues@xml
issues@xml
67patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-29 10:54 UTC by Nikita Krjukov
Modified: 2009-10-12 15:21 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Krjukov 2009-07-29 10:54:05 UTC
I'm using the NetBeans internal profiler to optimize BPEL Mapper loading. 
It turned out the schema's targetNamespace attribute is requested very frequently. 
It's caching should help to increase performance for about 10-20%.
Comment 1 Nikita Krjukov 2009-08-03 23:11:31 UTC
Fixed in trunk: 
http://hg.netbeans.org/main/rev/4bf5704e3ce2
http://hg.netbeans.org/main/rev/f4f478891b7e

There is a fix + JUnit test
Comment 2 Quality Engineering 2009-08-04 17:50:12 UTC
Integrated into 'main-golden', will be available in build *200908041401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4bf5704e3ce2
User: supernikita@netbeans.org
Log: #169435 - The targetNamespace attribute has to be cached for the sake of performance optimization
Comment 3 Nikita Krjukov 2009-08-05 19:09:59 UTC
Verified with JUnit tests + verifying different BPEL projects
Comment 4 pgebauer 2009-10-06 11:58:30 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/45a6028691db
http://hg.netbeans.org/release67_fixes/rev/425224469b89
Comment 5 Sergey Lunegov 2009-10-12 15:21:12 UTC
Verified by Michael Nazarov.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo